/*CSS Reset*/
/*universal selector*/
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	/*text-align: center;*/
}


/*type selectors*/
body {
	font-family: "Open Sans", sans-serif;
}

nav	{
	padding: 0.8rem;
	margin-bottom: 2rem;
	border-bottom: 2px solid black;
	vertical-align: top;
	background-color: #9ACD32;
}

footer {
	padding: 0.7rem;
}


/*id selectors*/

#intro {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 2rem;
	text-align: center;
	background-color: #9ACD32;
	border-top: 2px solid black;
	border-bottom: 2px solid black;
}

#shop-info {
	padding-left: 5%;
	padding-right: 5%;
	padding-top: 2rem;
	padding-bottom: 2rem;
	text-align: center;
}

#products {
	padding-left: 5%;
	padding-right: 5%;
	padding-top: 2rem;
	padding-bottom: 2rem;
	background-color: #9ACD32;
	color: #0B0B45;
	text-align: center;
	border-top: 2px solid black;
	border-bottom: 2px solid black;
}

#transaction {
	padding-left: 5%;
	padding-right: 5%;
	padding-top: 2rem;
	padding-bottom: 2rem;
	color: #0B0B45;
	text-align: center;
}

#pre-footer {
	padding: 1rem;
	background-color: #9ACD32;
	color: #0B0B45;
	border-top: 2px solid black;
}

/*combinators*/
nav > ul {
	list-style-type: none;
}

/* .(class), multiple selectors */

nav .nav, nav .nav-logo {
	margin: 1rem;
	display: inline;
}

#intro h1, #intro p {
	margin-bottom: 1rem;
}

#intro button, #products button, #transaction button {
	color:  white;
	font-weight: bold;
	background-color: #006400;
	border-radius: 25px;
	border-color: white;
	font-size: 1rem;
	padding-right: 1rem;
	padding-left: 1rem;
	padding-top: 0.5rem;
	padding-bottom: 0.5rem;
}

#shop-info h2, #shop-info h3, #products h3, #transaction h3  {
	margin-bottom: 1rem;
	text-align: center;
}

#shop-info .card, #products .gen-prod {
	display: inline-block;
	vertical-align: top;
	min-height: 175px;
	width: 30%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

#transaction .transact {
	display: inline-block;
	vertical-align: top;
	min-height: 175px;
	width: 20%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
	margin-bottom: 0.5rem;
}


#pre-footer > div {
	display: inline-block;
	width: 18%;
	vertical-align: top;
}

#pre-footer > div > * {
	margin-top: 0.3rem;
	margin-bottom: 0.3rem;
}

#products > div {
	display: inline-block;
	width: 10%;
	vertical-align: top;
}

#products > div > * {
	margin: 0.3rem;
}

#transaction > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

#transaction > div > * {
	margin: 0.3rem;
}

footer span {
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

/*class selectors*/
.company-logo {
	height: 70px;
	width: 70px;
	border-radius: 200px;
}

.prod-image {
	height: 180px;
	width: 80%;
	border-radius: 20px;
}

.trans-image {
	height: 100px;
	width: 80%;
	border-radius: 20px;
}